set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_X11;NG_PYTHON;PARALLEL;METIS;OCCGEOMETRY;_OCC64")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../s390x-linux-gnu/netgen" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3/dist-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/build/netgen-7MYton/netgen-6.2.1804+dfsg1")

set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "-lpthread")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "")
set(NETGEN_JPEG_LIBRARIES "")
set(NETGEN_LIBTOGL "togl")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/s390x-linux-gnu/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "/usr/lib/s390x-linux-gnu/openmpi/include/openmpi;/usr/lib/s390x-linux-gnu/openmpi/include")
set(NETGEN_MPI_CXX_LIBRARIES "/usr/lib/s390x-linux-gnu/openmpi/lib/libmpi_cxx.so;/usr/lib/s390x-linux-gnu/openmpi/lib/libmpi.so")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/occt")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib/s390x-linux-gnu/libTKBO.so;/usr/lib/s390x-linux-gnu/libTKBool.so;/usr/lib/s390x-linux-gnu/libTKBRep.so;/usr/lib/s390x-linux-gnu/libTKCAF.so;/usr/lib/s390x-linux-gnu/libTKCDF.so;/usr/lib/s390x-linux-gnu/libTKernel.so;/usr/lib/s390x-linux-gnu/libTKG2d.so;/usr/lib/s390x-linux-gnu/libTKG3d.so;/usr/lib/s390x-linux-gnu/libTKGeomAlgo.so;/usr/lib/s390x-linux-gnu/libTKGeomBase.so;/usr/lib/s390x-linux-gnu/libTKHLR.so;/usr/lib/s390x-linux-gnu/libTKIGES.so;/usr/lib/s390x-linux-gnu/libTKLCAF.so;/usr/lib/s390x-linux-gnu/libTKMath.so;/usr/lib/s390x-linux-gnu/libTKMesh.so;/usr/lib/s390x-linux-gnu/libTKOffset.so;/usr/lib/s390x-linux-gnu/libTKPrim.so;/usr/lib/s390x-linux-gnu/libTKService.so;/usr/lib/s390x-linux-gnu/libTKShHealing.so;/usr/lib/s390x-linux-gnu/libTKSTEP.so;/usr/lib/s390x-linux-gnu/libTKSTEP209.so;/usr/lib/s390x-linux-gnu/libTKSTEPAttr.so;/usr/lib/s390x-linux-gnu/libTKSTEPBase.so;/usr/lib/s390x-linux-gnu/libTKSTL.so;/usr/lib/s390x-linux-gnu/libTKTopAlgo.so;/usr/lib/s390x-linux-gnu/libTKV3d.so;/usr/lib/s390x-linux-gnu/libTKXCAF.so;/usr/lib/s390x-linux-gnu/libTKXDEIGES.so;/usr/lib/s390x-linux-gnu/libTKXDESTEP.so;/usr/lib/s390x-linux-gnu/libTKXSBase.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib/s390x-linux-gnu")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/s390x-linux-gnu/libGL.so;/usr/lib/s390x-linux-gnu/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.7m")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/s390x-linux-gnu/libpython3.7m.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TCL_LIBRARY "/usr/lib/s390x-linux-gnu/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TK_LIBRARY "/usr/lib/s390x-linux-gnu/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib/s390x-linux-gnu/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/s390x-linux-gnu/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/s390x-linux-gnu/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI ON)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG OFF)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../s390x-linux-gnu/netgen")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON lib/python3/dist-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/s390x-linux-gnu/netgen)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
